<?php 
	if($peticionAjax){
		require_once "../core/configADB.php";
	}else{
		require_once "./core/configADB.php";
	}
	class mainModel{
		/*Funcion para para conectar a la Base Dato*/
		protected function conectar(){
			$enlace = new PDO(SGBD,USER,PASS);
        	return $enlace;
		} 

		/*Funcion para realizar consultas simples tipo SELECT * FROM */
		protected function ejecutar_consulta_simple($consulta){
			$respuesta=self::conectar()->prepare($consulta);
			$respuesta->execute();
			return $respuesta;

		}

        /*Funcion para encriptar datos*/
		public static function encryption($string){
			$output=FALSE;
			$key=hash('sha256', SECRET_KEY);
			$iv=substr(hash('sha256', SECRET_IV), 0, 16);
			$output=openssl_encrypt($string, METHOD, $key, 0, $iv);
			$output=base64_encode($output);
			return $output;
		}

		/*Funcion para revertir la encriptacion*/
		protected function decryption($string){
			$key=hash('sha256', SECRET_KEY);
			$iv=substr(hash('sha256', SECRET_IV), 0, 16);
			$output=openssl_decrypt(base64_decode($string), METHOD, $key, 0, $iv);
			return $output;
		}

		/*Funcion para generar secuencia de cuentas aleatoria */
		protected function generar_codigo_aleatorio($letra,$longitud,$correlativo){
			for($i=1; $i<=longitud; $i++){
				$numero = rand(0,9);
				$letra.=$numero;
			} 
			return $letra.$correlativo;
		}

		/*Funcion para limpiar cadenas de texto evitando inyeccion SQL*/
        protected function limpiar_cadena($data) {
        	$data = trim($data);
            $data = addslashes($data);
            /*Lista de palabras y caracteres a limpiar*/
            $data = str_ireplace("<script>", "", $data);
            $data = str_ireplace("</script>", "", $data);
            $data = str_ireplace("DROP", "", $data);
            $data = str_ireplace("UPDATE", "", $data);
            $data = str_ireplace("DELETE", "", $data);
            $data = str_ireplace("SELECT", "", $data);
            $data = str_ireplace("FROM", "", $data);
            $data = str_ireplace("--", "", $data);
            $data = str_ireplace("^", "", $data);
            $data = str_ireplace("[", "", $data);
            $data = str_ireplace("]", "", $data);
            $data = str_ireplace("\\", "", $data);
            $data = str_ireplace("=", "", $data);
            return $data;
        }

        /*Funcion para enviar la ventanas emergentes cuando se termina un proceso */
        public function sweet_alert($datos){
        	if($datos['Alerta']=="simple"){
        		$alerta="
        		<script>
        			swal(
        				'".$datos['Titulo']."',
        				'".$datos['Texto']."',
        				'".$datos['Tipo']."'
        			);
        		</script>	
        		";
        	}elseif($datos['Alerta']=="recarga"){
        		$alerta="
        		<script>
        			swal({
        				title: '".$datos['Titulo']."',
        				text: '".$datos['Texto']."',
        				type: '".$datos['Tipo']."',
        				confirmButtonText: 'Aceptar'
        			}).then(function() {
        				location.reload();
        			});
        		</script>	
        		";
        	/*Se va Usar para todos los formularios*/	
        	}elseif($datos['Alerta']=="limpiar"){
        		$alerta="
        		<script>
        			swal({
        				title: '".$datos['Titulo']."',
        				text: '".$datos['Texto']."',
        				type: '".$datos['Tipo']."',
        				confirmButtonText: 'Aceptar'
        			}).then(function() {
						$('#FormularioValidar').data('bootstrapValidator').resetForm(true);
					});
        		</script>	
        		";	
        	}
        	return $alerta;
        }
	}

 ?>